Debian Bug report logs - #558316
netinstall fails with a Realtek RTL8169 Gigabit Ethernet card

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Emmanuel Blot <eblot.ml@gmail.com>

Date: Fri, 27 Nov 2009 20:18:01 UTC

Severity: normal

Tags: moreinfo

Merged with 603673, 609388, 610561

Found in version 2.6.32-29

Fixed in version 2.6.32-30

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#558316; Package netinstall. (Fri, 27 Nov 2009 20:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emmanuel Blot <eblot.ml@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org.

Your message had a Version: pseudo-header with an invalid package version:

sorry, don't know how to obtain that info, see below for the

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 27 Nov 2009 20:18:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Emmanuel Blot <eblot.ml@gmail.com>
To: submit@bugs.debian.org
Subject: netinstall fails with a Realtek RTL8169 Gigabit Ethernet card
Date: Fri, 27 Nov 2009 21:15:01 +0100
Package: netinstall
Version: sorry, don't know how to obtain that info, see below for the
package reference and date.

Hardware:
   Intel D945GSEJT, Atom processor N270 @1.60Ghz, 1GB DDR2
   Technical specs:
http://downloadmirror.intel.com/17597/eng/D945GSEJT_TechProdSpec.pdf

Software:
  Debian netinstall dated 05-09-09 04:25, downloaded from
    http://ftp.nl.debian.org/debian/dists/lenny/main/installer-i386/current/images/netboot/
  Linux kernel: 2.6.26-2-486 #1 Wed Aug 19 05:40:02 UTC 2009

Issue:
  While starting up a network installation off the latest Debian
netinstall image, the installer subsystem is unable to retrieve an
address from the DHCP server, and the installation fails.
  It appears that the kernel is unable to send a single network packet
over the Realtek ethernet link:
  I've run a WireShark session on the DHCP server machine, and not a
single IP packet is emitted from the to-be-installed system, once the
initial PXE boot up sequence as completed.

  The hardware link and the DHCP server are ok, as the board (PXE
BIOS) has successfully been able to boot the pxelinux.0 then the
kernel image from the very same hardware/software installation. It
looks like the problem is somehow related to the linux kernel (the
realtek driver?)

  I've tried to unplug/plug the Ethernet link at various stages of the
installation process (to trigger a link down/up event), with no
success.


Additional information:

strings pxelinux.0 shows:
  PXELINUX 3.71 Debian-2008-09-06

lsmod shows that the r8169 module is loaded Ok

dmesg reports:
:eth0: RTL8169 at 0xf8820000, 00:1c:c0:xx:xx:xx, XID 281000c0 IRQ 219
"r8169: eth0: link down", while the physical link is actually plugged in:
  * status leds on Ethernet socket are green,
  * status leds on the peer switch device to which the device is
connected are green as well

lspci reports:
"01.00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)"


I don't think the issue is related to the environment, as on the very
same hardware environment and the same PXE/DHCP server, the Ubuntu
9.10 net installation successfully completes under the same
conditions.

Let me know if you need more details.




Bug reassigned from package 'netinstall' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 28 Nov 2009 10:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#558316; Package linux-2.6. (Sat, 28 Nov 2009 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 28 Nov 2009 12:33:03 GMT) Full text and rfc822 format available.

Message #12 received at 558316@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 558316@bugs.debian.org
Cc: Emmanuel Blot <eblot.ml@gmail.com>
Subject: Re: Bug#558316: netinstall fails with a Realtek RTL8169 Gigabit Ethernet card
Date: Sat, 28 Nov 2009 13:27:50 +0100
[Message part 1 (text/plain, inline)]
Hi

On Saturday 28 November 2009, Emmanuel Blot wrote:
> Package: netinstall
> Version: sorry, don't know how to obtain that info, see below for the
> package reference and date.
> 
> Hardware:
>    Intel D945GSEJT, Atom processor N270 @1.60Ghz, 1GB DDR2
>    Technical specs:
> http://downloadmirror.intel.com/17597/eng/D945GSEJT_TechProdSpec.pdf
> 
> Software:
>   Debian netinstall dated 05-09-09 04:25, downloaded from
>     http://ftp.nl.debian.org/debian/dists/lenny/main/installer-i386/current/images/netboot/
>   Linux kernel: 2.6.26-2-486 #1 Wed Aug 19 05:40:02 UTC 2009
[...]

The Intel D945GSEJT mainboard ships with a RealTek rtl8168d network card,
which wasn't supported before kernel 2.6.31. Be aware that starting with
Debian's kernel 2.6.32, you'll need a binary firmware as well 
(rtl8168d-1.fw and rtl8168d-2.fw), which are not available yet.

> :eth0: RTL8169 at 0xf8820000, 00:1c:c0:xx:xx:xx, XID 281000c0 IRQ 219

this seems to be a rtl8168d-2.

> "r8169: eth0: link down", while the physical link is actually plugged in:
>   * status leds on Ethernet socket are green,
>   * status leds on the peer switch device to which the device is
> connected are green as well
> 
> lspci reports:
> "01.00.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
> RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)"
> 
> 
> I don't think the issue is related to the environment, as on the very
> same hardware environment and the same PXE/DHCP server, the Ubuntu
> 9.10 net installation successfully completes under the same
> conditions.
> 
> Let me know if you need more details.

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#558316; Package linux-2.6. (Thu, 25 Feb 2010 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Feb 2010 22:27:06 GMT) Full text and rfc822 format available.

Message #17 received at 558316@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Emmanuel Blot <eblot.ml@gmail.com>
Cc: 558316@bugs.debian.org, s.L-H@gmx.de
Subject: Re: Bug#558316: netinstall fails with a Realtek RTL8169 Gigabit Ethernet card
Date: Thu, 25 Feb 2010 23:24:26 +0100
On Sat, Nov 28, 2009 at 01:27:50PM +0100, Stefan Lippers-Hollmann wrote:
> Hi
> 
> On Saturday 28 November 2009, Emmanuel Blot wrote:
> > Package: netinstall
> > Version: sorry, don't know how to obtain that info, see below for the
> > package reference and date.
> > 
> > Hardware:
> >    Intel D945GSEJT, Atom processor N270 @1.60Ghz, 1GB DDR2
> >    Technical specs:
> > http://downloadmirror.intel.com/17597/eng/D945GSEJT_TechProdSpec.pdf
> > 
> > Software:
> >   Debian netinstall dated 05-09-09 04:25, downloaded from
> >     http://ftp.nl.debian.org/debian/dists/lenny/main/installer-i386/current/images/netboot/
> >   Linux kernel: 2.6.26-2-486 #1 Wed Aug 19 05:40:02 UTC 2009
> [...]
> 
> The Intel D945GSEJT mainboard ships with a RealTek rtl8168d network card,
> which wasn't supported before kernel 2.6.31. Be aware that starting with
> Debian's kernel 2.6.32, you'll need a binary firmware as well 
> (rtl8168d-1.fw and rtl8168d-2.fw), which are not available yet.
> 
> > :eth0: RTL8169 at 0xf8820000, 00:1c:c0:xx:xx:xx, XID 281000c0 IRQ 219
> 
> this seems to be a rtl8168d-2.

Emmanuel,
you could try the alpha1 installer of the upcoming Squeeze release:
http://lists.debian.org/debian-devel-announce/2010/02/msg00011.html

(You might need to run a DVD-based installation, though. I'm not sure
of the net installer is able to cope with the external non-free firmware)

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#558316; Package linux-2.6. (Wed, 19 Jan 2011 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Lemmen <robertle@semistable.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 19 Jan 2011 21:51:03 GMT) Full text and rfc822 format available.

Message #22 received at 558316@bugs.debian.org (full text, mbox):

From: Robert Lemmen <robertle@semistable.com>
To: 558316@bugs.debian.org
Subject: works with r8169.ko from 2.6.32-30
Date: Wed, 19 Jan 2011 21:48:52 +0000
[Message part 1 (text/plain, inline)]
i have exactly the same problem here, using the squeeze rc1 netinst iso
for amd64 on a hp pavilion dv6: firmware is loaded if i provide it, but
the network card doesn't work afterwards. after hints (and with help)
from #debian-boot i managed to fudge a r8169.ko taken from
linux-image-2.6.32-5-amd64_2.6.32-30_amd64.deb into the installer. this
solves the problem for me. 

regards  robert

-- 
Robert Lemmen                               http://www.semistable.com 
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 558316 603673 609388 610561. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:06:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-29. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Jan 2011 04:33:15 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.32-30. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Jan 2011 04:33:18 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 02 Jul 2013 20:30:41 GMT) Full text and rfc822 format available.

Notification sent to Emmanuel Blot <eblot.ml@gmail.com>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 20:30:41 GMT) Full text and rfc822 format available.

Message #33 received at 558316-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 549185-done@bugs.debian.org, 558316-done@bugs.debian.org, 560425-done@bugs.debian.org, 560719-done@bugs.debian.org
Subject: Closing
Date: Tue, 2 Jul 2013 22:28:50 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 02 Jul 2013 20:30:41 GMT) Full text and rfc822 format available.

Notification sent to Paul van der Vlis <paul@vandervlis.nl>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 20:30:41 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 02 Jul 2013 20:30:42 GMT) Full text and rfc822 format available.

Notification sent to <ConradS@MIT.EDU>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 20:30:42 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 02 Jul 2013 20:30:43 GMT) Full text and rfc822 format available.

Notification sent to Robert Lemmen <robertle@semistable.com>:
Bug acknowledged by developer. (Tue, 02 Jul 2013 20:30:43 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:27:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:20:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.